/*
	接口统一管理
*/
const apiurl = {
	// 手机登录验证码
	phoneLoginCodeUrl: '/auth/sendSmsCode',
	// 退出登录
	logoutUrl: '/auth/logout',
	// 手机登录验证码验证
	phoneLoginAuthUrl: '/auth/verifyCode',
	// 获取系统信息
	getSystermsApi: '/systerms/getByType/',
	// 新闻详情
	newsDetailsUrl: '/sec/article/door/info',
	// 政策法规详情
	policyNewsDetailsUrl: '/policy/article/door/info',
	// 提交申请材料 认证
	veteEducUrl: '/veteEduc',
	//认证状态查询
	veteEducCheckUrl: '/veteEduc/check',
	// 我的详细信息
	memberinfoUrl: '/memberinfo',
	// 政策法规列表
	policyNewsListUrl: '/policy/article/door/list',
	// 枚举值key查询
	dictdataUrl: '/sys/dictdata',
	// 适应性培训课程列表
	adaptTrainOnlineUrl: '/adaptTrainOnline/list',
	// 适应性培训课程详情
	adaptTrainOnlineDetailsUrl: '/adaptTrainOnline/',
	// 适应性培训学习进度
	adaptTrainOnlineRateUrl: '/adaptTrainOnline/study',
	// 上传适应性培训视频播放情况
	upAdaptTrainOnlineInfoUrl: '/adaptTrainOnline/duration',
	// 适应性培训线下内容
	adaptTrainOfflineUrl: '/adaptTrainOffline/new/offline',
	// 查询线下培训详情
	adaptTrainIdOfflineUrl: '/adaptTrainOffline/',
	// 页面点击统计
	analysisUrl: '/sys/analysis',
	// 线下培训签到
	signOfflineUrl: '/adaptTrainOffline/sign',
	// 根据身份证号读取信息
	getIdInfoUrl: '/veteEduc/idcard/',
	// 合作学校分页数据
	getSchoolListUrl: '/school/list',
	// 修改用户信息
	modifyUserInfoUrl: '/memberinfo',

	// 查看技能包更多课程
	getMoreCourseListUrl: '/learncourse/list/',

	/**
	 * 首页模块
	 */
	index: {
		// 获取消息未读条数
		getUnreadInfoNumUrl: '/notice/countUnread',
		// 首页轮播
		indexBannerListUrl: '/sysadv/list',
		// 获取首页三条最新消息
		getNewestInfoUrl: '/notice/queryNewest',
		// 首页新闻列表
		getIndexNewsListUrl: '/sec/article/door/list',
	},
	/**
	 * 通知消息模块
	 */
	notice: {
		// 查询每类通知未读的条数
		getClassifyUnreadNumUrl: '/notice/classifyUnreadCount',
		// 获取各种类型消息
		getNoticeListByTypeUrl: '/notice/list/',
		// 获取通知详情
		getNoticeDetailsUrl: '/notice/getDetail/'
	},

	// 学院模块
	school: {
		// 合作学校分页数据
		getSchoolListUrl: '/school/list',
		// 合作学校数据(无分页)
		getListUrl: '/school/selectList',
		// 获取学院详情
		getSchoolDetailsUrl: '/school/getDetail/',
		// 获取专业详情
		getProfessonDetailsUrl: '/school/getProfessonDetail/',
		// 获取学院专业包
		getProfessonUrl: '/learnpackage/list/',
		// 获取学院专业包详情
		getLearnpackageDetailsUrl: '/learnpackage/getDetail/',
		// 获取学院专业包课程详情
		getPackageCourseDetailsUrl: '/learncourse/getDetail/',
		// 获取学院招生就业详情
		getSchoolIntroductionUrl: '/school/selectIntro/'

	},

	// 公司模块
	company: {
		// 公司列表
		getCompanyListUrl: '/company/list',
		// 公司详情
		getCompanyDetailsUrl: '/company/getDetail/',
		// 岗位列表
		getCompanyPostListUrl: '/companypost/list/',
		// 岗位详情
		getPostDetailsUrl: '/companypost/getDetail/',
		// 投递简历
		deliveryResumeUrl: '/delivery/add',
		// 判断是否已投递
		judgeIsSubmitUrl: '/delivery/queryIsDelivered/'
	},

	/**
	 * 政策资讯模块
	 */
	policyInfo: {
		// 政策资讯列表
		getPolicyInfoListUrl: '/policy/article/door/list',
		// 政策资讯详情
		getPolicyInfoDetailsUrl: '/policy/article/door/info'
	},

	// 我的投递
	delivery: {
		deliveryListUrl: '/delivery/myDeliveredList'
	},

	/**
	 * 招聘就业模块
	 */
	recruitment: {
		// 企业推荐列表
		getRecommendListUrl: '/company/queryRecommendList',
		// 招聘就业岗位列表
		getRecruitmentJobListUrl: '/companypost/pageList',
		// 岗位详情
		getJobDetailsUrl: '/companypost/getDetail'
	},
	/**
	 * 我的面试
	 */
	interview: {
		// 我的面试列表
		getInterviewListUrl: '/delivery/myInterviewList',
		// 修改面试状态
		changeInterviewStateUrl: '/delivery/updateStatus'
	},
	/**
	 * 我的简历
	 */
	resume: {
		// 保存求职意向
		submitJobIntentionUrl: '/memberinfo/saveJobIntention',
		// 保存自我评价
		submitSelfAssessmentUrl: '/memberinfo/saveSelfAssessment'
	},
	/**
	 * 我的评价
	 */
	evaluation: {
		// 获取我的评价列表
		getEvaluationListUrl: ''
	},
	/**
	 * 我的
	 */
	mine: {
		// 提交就业情况
		employmentConditionUrl: '/employmentcollect',
		// 查询积分统计
		totalCountUrl: '/integral/count',
		// 积分列表
		integralListUrl: '/integral/list',
		// 获取个人统计(技能培训,学习时长,获得面试)
		getCountResultUrl: '/memberinfo/getCountResult',
		// 获取个人总积分
		getIntegralTotalUrl: '/integral/total'
	},
	/**
	 * 适应性培训
	 */
	training: {
		// 获取线上课程列表
		getOnlineListurl: '/adaptTrainOnline/queryList',
		// 课程状态
		getOnlineStatusUrl: '/adaptTrainOnline/queryStatus',
		// 课程详情
		getOnlineDetailsUrl: '/adaptTrainOnline/',
		// 保存课程播放时长
		videoTimeLongUrl: '/record/duration',
		// 获取课程评论
		getClassesCommentUrl: '/coursecomment',
		// 添加评论
		addClassesCommentUrl: '/coursecomment',
		// 线下课程
		getOfflineListUrl: '/adaptTrainOffline/queryList',
		// 获取线下课程详情
		getOfflineDetailsUrl: '/adaptTrainOffline/getDetail/'
	},
	/**
	 * 技能培训模块接口
	 */
	skillTraining: {
		// 查询技术包列表
		getPackageListUrl: '/learnpackage/skillList',
		// 报名
		signUpClassUrl: '/learnmember',
		// 查询技能包详情
		getPackageDetailsUrl: '/learnpackage/getSkillDetail/',
		// 获取报班通知列表
		getClassNoticeUrl: '/learnpackage/classNoticeList',
		// 获取个人技能培训统计
		getTrainingTotalUrl: '/learnpackage/count',
		// 检验是否已经报过该技能包
		isApplyTrainingUrl: '/learnmember/isApply/',
		// 我的技能培训列表
		getMyTrainingListUrl: '/learnmember/myTrainList/',
		// 获取我的技能培训详情
		getMyTrainingDetailsUrl: '/learnmember/myTrainDetail/',
		// 获取证书列表
		getCertificateListUrl: '/certificate/list/',
		// 添加证书
		addCertificateUrl: '/certificate',
		// 删除证书
		deleteCertificateUrl: '/certificate/',
		// 查询学生是否报过名
		queryIsAttendedClassUrl: '/learnpackage/queryIsAttendedClass'
	},
	// 创业
	entrepreneurship: {
		addEntrepreneurshipUrl: '/guidance',
		getEntrepreneurshipListUrl: '/guidance',
		getEntrepreneurshipDetailsUrl: '/guidance/getDetail/'
	}
}

export {
	apiurl
}
