import {
	apiurl
} from "./apiurl.js"

// 此处第二个参数vm，就是我们在页面使用的this，你可以通过vm获取vuex等操作，更多内容详见uView对拦截器的介绍部分：
const install = (Vue, vm) => {
	let getPhoneLoginCode = (params = {}) => vm.$u.post(apiurl.phoneLoginCodeUrl, params);
	let logoutApi = (params = {}) => vm.$u.delete(apiurl.logoutUrl, params);
	let phoneLoginAuth = (params = {}) => vm.$u.post(apiurl.phoneLoginAuthUrl, {
		code: params.code
	}, {
		Authorization: `Bearer ${params.accessToken}`,
		user_id: params.userId
	});
	// 获取自定义富文本内容: 0-包月须知 1-用户服务条款 2-隐私权政策信息 3-收费标准 4-退款温馨提示
	let getSysterms = (params = {}) => vm.$u.get(apiurl.getSystermsApi + params.termsType);
	// 新闻详情
	let getNewsDetails = (params = {}) => vm.$u.get(apiurl.newsDetailsUrl, params);
	// 政策法规详情
	let getPolicyNewsDetails = (params = {}) => vm.$u.get(apiurl.policyNewsDetailsUrl, params);
	// 军人认证
	let veteEduc = (params = {}) => vm.$u.post(apiurl.veteEducUrl, params);
	// 认证状态查询
	let getVeteEducCheck = (params = {}) => vm.$u.get(apiurl.veteEducCheckUrl, params);
	//我的认证申请
	let getVeteEducData = (params = {}) => vm.$u.get(apiurl.veteEducUrl, params);
	// 我的详细信息
	let getmemberinfo = (params = {}) => vm.$u.get(apiurl.memberinfoUrl, params);
	// 首页新闻列表
	let getpolicyNewsList = (params = {}) => vm.$u.get(apiurl.policyNewsListUrl, params);
	// 枚举值key查询 key 新闻类型 news_type, 政策法规 policy_type 人员属性 vete_attribute
	let getDictdataUrl = (params = {}) => vm.$u.get(apiurl.dictdataUrl, params);
	// 适应性培训课程列表
	let getAdaptTrainOnline = (params = {}) => vm.$u.get(apiurl.adaptTrainOnlineUrl, params);
	// 适应性培训课程详情
	let getAdaptTrainOnlineDetails = (params = {}) => vm.$u.get(apiurl.adaptTrainOnlineDetailsUrl + params.id);
	// 适应性培训学习进度
	let getAdaptTrainOnlineRate = (params = {}) => vm.$u.post(apiurl.adaptTrainOnlineRateUrl, params);
	// 上传适应性培训视频播放情况
	let upAdaptTrainOnlineInfo = (params = {}) => vm.$u.post(apiurl.upAdaptTrainOnlineInfoUrl, params);
	// 适应性培训线下内容
	let getAdaptTrainOffline = (params = {}) => vm.$u.get(apiurl.adaptTrainOfflineUrl, params);
	// 查询线下培训详情
	let getAdaptTrainIdOffline = (params = {}) => vm.$u.get(apiurl.adaptTrainIdOfflineUrl + params.id);
	// 页面点击统计
	let postAnalysis = (params = {}) => vm.$u.post(apiurl.analysisUrl, params);
	// 线下培训签到
	let postSignOffline = (params = {}) => vm.$u.post(apiurl.signOfflineUrl, params);
	// 根据身份证号读取信息
	let getIdInfo = (params = {}) => vm.$u.get(apiurl.getIdInfoUrl + params.id);
	// 获取学院分页数据
	let getSchoolList = (params = {}) => vm.$u.get(apiurl.getSchoolListUrl, params)
	// 修改用户信息
	let modifyUserInfo = (params = {}) => vm.$u.put(apiurl.modifyUserInfoUrl, params)
	
	let getMoreCourseListApi = (params = {}) => vm.$u.get(apiurl.getMoreCourseListUrl + params.id, params)
	/**
	 * 首页模块
	 */
	let indexApi = {
		// 获取消息未读条数
		getUnreadInfoNumApi: (params = {}) => vm.$u.get(apiurl.index.getUnreadInfoNumUrl, params),
		// 获取轮播
		indexBannerListApi: (params = {}) => vm.$u.get(apiurl.index.indexBannerListUrl, params),
		// 获取最新三条消息
		getNewestInfoApi: (params = {}) => vm.$u.get(apiurl.index.getNewestInfoUrl, params),
		// 首页新闻列表
		getIndexNewsListApi: (params = {}) => vm.$u.get(apiurl.index.getIndexNewsListUrl, params)
	};

	/**
	 * 通知消息模块
	 */
	let noticeApi = {
		// 查询每类通知未读的条数
		getClassifyUnreadNumApi: (params = {}) => vm.$u.get(apiurl.notice.getClassifyUnreadNumUrl, params),
		// 获取各种类型消息
		getNoticeListByTypeApi: (params = {}) => vm.$u.get(apiurl.notice.getNoticeListByTypeUrl + params.type,
			params),
		// 获取通知消息详情
		getNoticeDetailsApi: (params = {}) => vm.$u.get(apiurl.notice.getNoticeDetailsUrl + params.id, params)
	};

	// 学院模块
	let school = {
		// 获取学院分页数据
		getSchoolList: (params = {}) => vm.$u.get(apiurl.school.getSchoolListUrl, params),
		// 不带分页列表
		getList: (params = {}) => vm.$u.get(apiurl.school.getListUrl, params),
		// 通过学院id获取详情
		getSchoolDetails: (params = {}) => vm.$u.get(apiurl.school.getSchoolDetailsUrl + params.id),
		// 通过专业id获取专业详情
		getProfessonDetails: (params = {}) => vm.$u.get(apiurl.school.getProfessonDetailsUrl + params.id),
		// 通过学院id获取专业
		getProfesson: (params = {}) => vm.$u.get(apiurl.school.getProfessonUrl + params.id),
		// 获取学院专业包详情
		getLearnpackageDetails: (params = {}) => vm.$u.get(apiurl.school.getLearnpackageDetailsUrl + params.id),
		// 获取学院专业包课程详情
		getPackageCourseDetail: (params = {}) => vm.$u.get(apiurl.school.getPackageCourseDetailsUrl + params
			.id),
		// 获取学校招生详情
		getSchoolIntroduction: (params = {}) => vm.$u.get(apiurl.school.getSchoolIntroductionUrl + params.id)
	};

	// 公司模块
	let company = {
		// 获取公司列表
		getCompanyList: (params = {}) => vm.$u.get(apiurl.company.getCompanyListUrl, params),
		// 获取公司详情
		getCompanyDetails: (params = {}) => vm.$u.get(apiurl.company.getCompanyDetailsUrl + params.id),
		// 获取岗位列表
		getCompanyPostList: (params = {}) => vm.$u.get(apiurl.company.getCompanyPostListUrl + params.id,
			params),
		// 获取岗位详情
		getPostDetails: (params = {}) => vm.$u.get(apiurl.company.getPostDetailsUrl + params.id),
		// 投递简历
		deliveryResume: (params = {}) => vm.$u.post(apiurl.company.deliveryResumeUrl, params),
		// 判断是否已投递
		judgeIsSubmit: (params = {}) => vm.$u.get(apiurl.company.judgeIsSubmitUrl + params.id)
	};

	// 政策资讯模块
	let policyInfo = {
		// 政策资讯列表
		getPolicyInfoList: (params = {}) => vm.$u.get(apiurl.policyInfo.getPolicyInfoListUrl, params),
		// 政策资讯详情
		getPolicyInfoDetails: (params = {}) => vm.$u.get(apiurl.policyInfo.getPolicyInfoDetailsUrl, params)
	};

	// 招聘就业模块
	let recruitment = {
		// 企业推荐列表
		getRecommendList: (params = {}) => vm.$u.get(apiurl.recruitment.getRecommendListUrl, params),
		// 招聘就业岗位列表
		getRecruitmentJobList: (params = {}) => vm.$u.get(apiurl.recruitment.getRecruitmentJobListUrl, params),
		// 岗位详情
		getJobDetails: (params = {}) => vm.$u.get(apiurl.recruitment.getJobDetailsUrl + params.id)
	};

	// 我的投递
	let delivery = {
		getDeliveryList: (params = {}) => vm.$u.get(apiurl.delivery.deliveryListUrl, params)
	};

	// 我的面试
	let interview = {
		getInterviewList: (params = {}) => vm.$u.get(apiurl.interview.getInterviewListUrl, params),
		changeInterviewStateApi: (params = {}) => vm.$u.put(apiurl.interview.changeInterviewStateUrl, params)
	};

	// 我的简历
	let resume = {
		submitJobIntention: (params = {}) => vm.$u.put(apiurl.resume.submitJobIntentionUrl, params),
		submitSelfAssessment: (params = {}) => vm.$u.put(apiurl.resume.submitSelfAssessmentUrl, params)
	}

	// 我的评价
	let evaluation = {
		getEvaluationList: (params = {}) => vm.$u.get(apiurl.evaluation.getEvaluationListUrl, params)
	}

	// 我的
	let mine = {
		submitEmploymentCondition: (params = {}) => vm.$u.post(apiurl.mine.employmentConditionUrl, params),
		totalCount: (params = {}) => vm.$u.get(apiurl.mine.totalCountUrl, params),
		integralList: (params = {}) => vm.$u.get(apiurl.mine.integralListUrl, params),
		getCountResulApi: (params = {}) => vm.$u.get(apiurl.mine.getCountResultUrl, params),
		getIntegralTotalApi: (params = {}) => vm.$u.get(apiurl.mine.getIntegralTotalUrl, params)
	}

	// 适应性培训
	let training = {
		// 获取线上培训列表
		getOnlineListApi: (params = {}) => vm.$u.get(apiurl.training.getOnlineListurl, params),
		getOnlineStatusApi: (params = {}) => vm.$u.get(apiurl.training.getOnlineStatusUrl, params),
		getOnlineDetailsApi: (params = {}) => vm.$u.get(apiurl.training.getOnlineDetailsUrl + params.id),
		videoTimeLongApi: (params = {}) => vm.$u.post(apiurl.training.videoTimeLongUrl, params),
		getClassesCommentApi: (params = {}) => vm.$u.get(apiurl.training.getClassesCommentUrl, params),
		addClassesCommentApi: (params = {}) => vm.$u.post(apiurl.training.addClassesCommentUrl, params),
		getOfflineListApi: (params = {}) => vm.$u.get(apiurl.training.getOfflineListUrl, params),
		getOfflineDetailsApi: (params = {}) => vm.$u.get(apiurl.training.getOfflineDetailsUrl + params.id)
	}
	/**
	 * 技能培训
	 */
	let skillTraining = {
		getSkillPackageListApi: (params = {}) => vm.$u.get(apiurl.skillTraining.getPackageListUrl, params),
		signUpClassApi: (params = {}) => vm.$u.post(apiurl.skillTraining.signUpClassUrl, params),
		getPackageDetailApi: (params = {}) => vm.$u.get(apiurl.skillTraining.getPackageDetailsUrl + params.id),
		getClassNoticeApi: (params = {}) => vm.$u.get(apiurl.skillTraining.getClassNoticeUrl, params),
		getTrainingTotalApi: (params = {}) => vm.$u.get(apiurl.skillTraining.getTrainingTotalUrl, params),
		isApplyTrainingApi: (params = {}) => vm.$u.get(apiurl.skillTraining.isApplyTrainingUrl + params.id),
		getMyTrainingListApi: (params = {}) => vm.$u.get(apiurl.skillTraining.getMyTrainingListUrl + params.type, params),
		getMyTrainingDetailsApi: (params = {}) => vm.$u.get(apiurl.skillTraining.getMyTrainingDetailsUrl + params.id, params),
		getCertificateListApi: (params = {}) => vm.$u.get(apiurl.skillTraining.getCertificateListUrl + params.id, params),
		addCertificateApi: (params = {}) => vm.$u.post(apiurl.skillTraining.addCertificateUrl, params),
		deleteCertificateApi: (params = {}) => vm.$u.delete(apiurl.skillTraining.deleteCertificateUrl + params.id, params),
		queryIsAttendedClassApi: (params = {}) => vm.$u.get(apiurl.skillTraining.queryIsAttendedClassUrl, params)
	}
	let entrepreneurship = {
		addEntrepreneurshipApi: (params = {}) => vm.$u.post(apiurl.entrepreneurship.addEntrepreneurshipUrl, params),
		getEntrepreneurshipListApi: (params = {}) => vm.$u.get(apiurl.entrepreneurship.getEntrepreneurshipListUrl, params),
		getEntrepreneurshipDetailsApi: (params = {}) => vm.$u.get(apiurl.entrepreneurship.getEntrepreneurshipDetailsUrl + params.id)
	}
	// 将各个定义的接口名称，统一放进对象挂载到vm.$u.api(因为vm就是this，也即this.$u.api)下
	vm.$u.api = {
		getPhoneLoginCode,
		logoutApi,
		phoneLoginAuth,
		getSysterms,
		getNewsDetails,
		veteEduc,
		getVeteEducCheck,
		getmemberinfo,
		getpolicyNewsList,
		getVeteEducData,
		getPolicyNewsDetails,
		getDictdataUrl,
		getAdaptTrainOnline,
		getAdaptTrainOnlineDetails,
		getAdaptTrainOnlineRate,
		upAdaptTrainOnlineInfo,
		getAdaptTrainOffline,
		postAnalysis,
		postSignOffline,
		getAdaptTrainIdOffline,
		getIdInfo,
		getMoreCourseListApi,
		getSchoolList,
		indexApi,
		noticeApi,
		school,
		company,
		policyInfo,
		delivery,
		recruitment,
		interview,
		resume,
		modifyUserInfo,
		evaluation,
		mine,
		training,
		skillTraining,
		entrepreneurship
	};
}

export default {
	install
}
